Error: --service-restart without a service_name
ClosedPublic

Authored by thcipriani on Oct 17 2018, 7:11 PM.

Details

Reviewers
mmodell
mobrovac
Group Reviewers
Release-Engineering-Team
Commits
rMSCA1b8ac9cdfbff: Error: --service-restart without a service_name
Patch without arc
git checkout -b D1118 && curl -L https://phabricator.wikimedia.org/D1118?download=true | git apply
Summary

If you use the flag --service-restart chances are you expect there to
be a service configured that scap is supposed to restart. Scap should be
helpful here and stop you before you get too far.

Bug: T207263

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thcipriani created this revision.Oct 17 2018, 7:11 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptOct 17 2018, 7:11 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
Harbormaster returned this revision to the author for changes because remote builds failed.Oct 17 2018, 7:11 PM
Harbormaster failed remote builds in B3148: Diff 2920!
thcipriani requested review of this revision.Oct 23 2018, 9:55 PM
mobrovac accepted this revision.Oct 25 2018, 10:36 PM
This revision is now accepted and ready to land.Oct 25 2018, 10:36 PM
This revision was automatically updated to reflect the committed changes.